Index: BOOK/packages.ent
===================================================================
--- BOOK/packages.ent	(revision 9edc616ada6f9927a42508274a289c13ee8a2233)
+++ BOOK/packages.ent	(revision f6853e31dd8333320b2ca0f03c1d557ddd53e196)
@@ -190,8 +190,8 @@
 <!ENTITY gawk-home "&gnu-software;gawk">
 
-<!ENTITY gcc-version "4.8.3">
-<!ENTITY gcc-size "84,108 KB">
+<!ENTITY gcc-version "5.2.0">
+<!ENTITY gcc-size "95,222 KB">
 <!ENTITY gcc-url "ftp://gcc.gnu.org/pub/gcc/releases/gcc-&gcc-version;/gcc-&gcc-version;.tar.bz2">
-<!ENTITY gcc-md5 "7c60f24fab389f77af203d2516ee110f">
+<!ENTITY gcc-md5 "a51bcfeb3da7dd4c623e27207ed43467">
 <!ENTITY gcc-home "http://gcc.gnu.org">
 
Index: BOOK/patches.ent
===================================================================
--- BOOK/patches.ent	(revision 9edc616ada6f9927a42508274a289c13ee8a2233)
+++ BOOK/patches.ent	(revision f6853e31dd8333320b2ca0f03c1d557ddd53e196)
@@ -28,11 +28,11 @@
 
 <!ENTITY gcc-specs-patch "gcc-&gcc-version;-specs-1.patch">
-<!ENTITY gcc-specs-patch-md5 "118eaea7813c24cb3fcfdafa0297abba">
+<!ENTITY gcc-specs-patch-md5 "f89a424f5ebbe676cf78e7c1b1ad1284">
 <!ENTITY gcc-specs-patch-size "20 KB">
 
 <!-- GCC branch update area -->
 <!ENTITY gcc-branch_update-patch "gcc-&gcc-version;-branch_update-1.patch">
-<!ENTITY gcc-branch_update-patch-md5 "ba8abbb0696f8e0d75eb26ae7c9ad219">
-<!ENTITY gcc-branch_update-patch-size "3.5 KB">
+<!ENTITY gcc-branch_update-patch-md5 "0ce406be87a6504a7539ab45f7abf781">
+<!ENTITY gcc-branch_update-patch-size "1,251 KB">
 
 <!ENTITY iana-etc-numbers_update-date "20140202">
@@ -92,10 +92,10 @@
 
 <!ENTITY gcc-pure64-patch "gcc-&gcc-version;-pure64-1.patch">
-<!ENTITY gcc-pure64-patch-md5 "96b7f0b29cfb3dd665be12269cde1139">
-<!ENTITY gcc-pure64-patch-size "9.7 KB">
+<!ENTITY gcc-pure64-patch-md5 "95ddad0f05b82152c42f2ee2b52e7f59">
+<!ENTITY gcc-pure64-patch-size "38 KB">
 
 <!ENTITY gcc-specs_pure64-patch "gcc-&gcc-version;-pure64_specs-1.patch">
-<!ENTITY gcc-specs_pure64-patch-md5 "b950e79ec42d64fee0f823ce5c8a2ba4">
-<!ENTITY gcc-specs_pure64-patch-size "23 KB">
+<!ENTITY gcc-specs_pure64-patch-md5 "5dbe3da0c7904bcf69ac16741519ed65">
+<!ENTITY gcc-specs_pure64-patch-size "30 KB">
 
 <!-- Start of mips/mips64 patches -->
